Bug 1611850 - [RFE] bluestore: add total osd memory target
Summary: [RFE] bluestore: add total osd memory target
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 3.2
Assignee: Mark Nelson
QA Contact: Parikshith
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1629656 1595003
TreeView+ depends on / blocked
 
Reported: 2018-08-02 23:43 UTC by Josh Durgin
Modified: 2019-01-03 19:02 UTC (History)
14 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.0-0.1.rc5.el7cp Ubuntu: ceph-ansible_3.2.0~rc5-2redhat1
Doc Type: Enhancement
Doc Text:
.New option: `osd_memory_target` A new option, `osd_memory_target`, has been added with the release. This option sets a target memory size for OSDs. The BlueStore back end adjusts its cache size and attempts to stay close to this target. The `ceph-ansible` utility automatically adjusts `osd_memory_target` based on host memory. The default value is 4 GiB. The `osd_memory_target` option is set differently for Hyper-converged infrastructure (HCI) and non-HCI setups. To differentiate between them, use the `is_hci` configuration parameter. This parameter is set to `false` by default. To change the default values of `osd_memory_target` and `is_hci`, set them in the `all.yml` file.
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3350 'None' closed config: convert _osd_memory_target to int 2020-02-11 16:02:54 UTC
Github ceph ceph pull 22970 'None' closed os/bluestore: limit OSD memory usage by tuning the cache size. 2020-02-11 16:02:53 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:02:01 UTC

Description Josh Durgin 2018-08-02 23:43:10 UTC
Add a configurable to set a target for OSD memory usage, and adjust bluestore's cache size to stay within that limit.

Comment 11 Neha Ojha 2018-11-13 07:12:41 UTC
Hi Parikshith,

Do we have any ceph-ansible logs that show what the values of non_hci_safety_factor, is_hci etc. are? Maybe, try changing them and see if they reflect correctly. 

Just want to make sure that the required parameters have been added to the yaml.

Comment 17 Neha Ojha 2018-11-14 10:06:38 UTC
is_hci: false
hci_safety_factor: 0.2
non_hci_safety_factor: 0.7
osd_memory_target: 4000000000

These values need to provided in all.yml for them to be used.

Comment 19 Neha Ojha 2018-11-19 07:00:03 UTC
https://github.com/ceph/ceph-ansible/pull/3340 should fix this issue.

Comment 29 errata-xmlrpc 2019-01-03 19:01:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.